- name: Build containers
  hosts: localhost
  gather_facts: false
  vars:
    repository: tiptop:5000
  tasks:
    - name: Install dependencies
      command: pnpm install
      args:
        chdir: "{{ playbook_dir }}"

    - name: Build the Angular app
      command: ng build
      args:
        chdir: "{{ playbook_dir }}"

    - name: Get the version from git
      command: git describe --dirty --tags
      register: version
      args:
        chdir: "{{ playbook_dir }}"

    - name: Build frontend container
      containers.podman.podman_image:
        name: "treetrail-frontend:{{ version.stdout }}"
        state: build
        force: true
        path: "{{ playbook_dir }}"
        build:
          format: oci
          cache: no
          file: Containerfile
        push: true
        push_args:
          dest: "{{ repository }}/treetrail-frontend"
        #quadlet_options:
        #  - |
        #    [Install]
        #    WantedBy=default.target
